### R code from vignette source 'TwoPhaseInd.Rnw'

###################################################
### code chunk number 1: loadLibrary
###################################################
##testLib <- "/home/ting/proj/jdai/2phi/code/rlib" 
##.libPaths(testLib)
##install.packages("/home/ting/proj/jdai/2phi/pkg/TwoPhaseInd", repos=NULL)
##library(TwoPhaseInd, lib.loc=testLib)
##sessionInfo()

library(TwoPhaseInd)


###################################################
### code chunk number 2: whiBioMarker
###################################################
data(whiBioMarker)
## dim(whiBioMarker)
ls()


###################################################
### code chunk number 3: spmleNonIndExtra
###################################################
## debug(spmle)
  spmleNonIndExtra <- spmle(data=whiBioMarker,			## dataset (data.frame)
                          response="stroke",			## response variable (binary)
                          treatment="hrtdisp",		## treatment variable (binary)
                          BaselineMarker="papbl",		## environment variable (continuous)
                          extra=c(
                            "age" 		## age
                            , "dias" 	## diastolic BP
                            , "syst" 	## systolic BP
                            , "diabtrt"	## diabetes 
                            ),		## extra variable(s)
                          phase="phase",			## variable for phase indicator
                          ind=FALSE				## independent or non-indepentent
                          )

spmleNonIndExtra


###################################################
### code chunk number 4: spmleIndExtra
###################################################
spmleIndExtra <- spmle(data=whiBioMarker,			## dataset (data.frame)
              response="stroke",			## response variable (binary)
              treatment="hrtdisp",		## treatment variable (binary)
              BaselineMarker="papbl",		## environment variable (continuous)
              extra=c(
                            "age" 		## age
                            , "dias" 	## diastolic BP
                            , "syst" 	## systolic BP
                            , "diabtrt"	## diabetes 
                ),		## extra variable(s)
              phase="phase",			## variable for phase indicator
              ind=TRUE				## independent or non-indepentent
              )

spmleIndExtra


###################################################
### code chunk number 5: melNonIndExtra
###################################################
##debug(mele)
melNonIndExtra <- mele(data=whiBioMarker,			## dataset (data.frame)
              response="stroke",			## response variable (binary)
              treatment="hrtdisp",		## treatment variable (binary)
              BaselineMarker="papbl",		## environment variable (continuous)
                          extra=c(
                            "age" 		## age
                            , "dias" 	## diastolic BP
                            , "syst" 	## systolic BP
                            , "diabtrt"	## diabetes 
                            ),		## extra variable(s)
              phase="phase",			## variable for phase indicator
              ind=FALSE				## independent or non-indepentent
              )
melNonIndExtra


###################################################
### code chunk number 6: melIndNoExtra
###################################################
melIndExtra <- mele(data=whiBioMarker,			## dataset (data.frame)
              response="stroke",			## response variable (binary)
              treatment="hrtdisp",		## treatment variable (binary)
              BaselineMarker="papbl",		## environment variable (continuous)
                    extra=c(
                            "age" 		## age
                            , "dias" 	## diastolic BP
                            , "syst" 	## systolic BP
                            , "diabtrt"	## diabetes 
                            ),		## extra variable(s)
              phase="phase",			## variable for phase indicator
              ind=TRUE				## independent or non-indepentent
              )
melIndExtra


###################################################
### code chunk number 7: sessionInfo
###################################################
sessionInfo()


